Subject: bug#56335: 29.0.50; [PATCH] Add more breakpoint chars support to longlines-mode

From: Manuel Giraud <[email-masked]>
Date: Sat, 02 Jul 2022 23:19:48 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> So it was obsoleted because we had visual-line-mode instead, I guess?  I
>>> guess they have similar use cases, but longlines-mode has the advantage
>>> that it's also a hack around the performance issues.
>>
>> Yes.
>
> It seems like everybody both here and in the other thread agreed that we
> should unobsolete longlines.el, so I've now done so in Emacs 29.  I've
> also applied Manuel's patch to longlines.

Thanks. I guess that it could be re-obsoleted when visual-line-mode is
fast on *very* long lines.

Now I'm going to check corner cases in longlines.el because the previous
code used to replace space with soft newline. This patch should not
replace any characters (just add soft newline)… but I could have missed
some.
-- 
Manuel Giraud